Skip to main content
POST
/
api
/
v1
/
upsert-object
Upsert object
curl --request POST \
  --url https://voxworks.ai/api/v1/upsert-object \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "data": {},
  "type_name": "<string>",
  "type_id": "<string>",
  "parent_id": "<string>",
  "upsert_key": {
    "path": "$.external_ids.rex.property_id",
    "value": "<string>"
  },
  "unique_key": {
    "path": "<string>",
    "value": "<string>"
  }
}
'
{
  "success": true,
  "object_id": "<string>",
  "object": {
    "id": "<string>",
    "name": "<string>",
    "type_id": "<string>",
    "parent_id": "<string>",
    "data": {}
  },
  "upsert_key": {
    "path": "<string>",
    "value": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.voxworks.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key from Voxworks, sent as Authorization: Bearer YOUR_API_KEY.

Body

application/json
name
string
required
Maximum string length: 255
data
object
type_name
string
type_id
string
parent_id
string
upsert_key
object
unique_key
object
deprecated

Response

Object updated.

success
boolean
object_id
string
object
object
action
enum<string>
Available options:
created,
updated
upsert_key
object